# This file contains a list of the export file formats supplied by Applix,
# listed by document type.  If you chose to modify this file, you must
# maintain the following format:
#		APP_CODE:TEXT_STRING:MACRO_NAME:DOCTYPE:EXTENSION
# where
#	APP_CODE	is the 2-letter Applixware application code representing
#				the doc type
#	TEXT_STRING	is the option as it appears in the document preferences
#				dialog box
#	MACRO_NAME	is the name of the macro which is called to perform the
#				format conversion. The macro must take two arguments:
#				first, the name of the input (Appliware) file, and second,
#				the name of the foreign format file the macro should create.
#
#				Note on Reserved Macro Names:
#				Two MACRO_NAME values have special meanings as follows:
#				DEFAULT:	(Mail only) instructs the application to obtain 
#							the document format from the Mail Recipient 
#							Preferences
#				NONE:		no document conversion is required to produce 
#							this format
#
#	DOCTYPE		is the numeric Applixware file type as defined
#				in the file "recgfil_.am". For a new file type, use
#				the numeric code for AX_DOC_TYPE_UNKNOWN
#	EXTENSION	(optional) is the extension added to the output file
#				produced by the	filter
#
#	Lines preceded in this file with the "#" character are treated as
#	comments.  Blank lines are ignored.

#	Word Processing export formats:
WP:From Profile:DEFAULT:-1
WP:Applixware:NONE:200
WP:Applix Words 3.x:filter_wp420_to_wp311@:200:aw
WP:ASCII Paragraphs:filter_wp_to_ascii_paras@:0:txt
WP:ASCII Lines:filter_wp_to_ascii_lines@:0:txt
WP:ASCII Layout:filter_wp_to_ascii_layout@:0:txt
WP:DCA:filter_wp_to_dca@:1:dca
WP:HTML:filter_wp_to_html@:35:html
WP:Interleaf 4.0 (ASCII):filter_wp_to_interleaf40@:3:doc
WP:Interleaf 5.0 (ASCII):filter_wp_to_interleaf50@:32:doc
WP:Frame MIF 2.0:filter_wp_to_frame20@:33:mif
WP:Frame MIF 4.0:filter_wp_to_frame40@:4:mif
WP:Frame MIF 5.0:filter_wp_to_frame50@:36:mif
WP:MS Word (DOS):filter_wp_to_msword@:6:msw
WP:Rich Text Format (RTF):filter_wp_to_rtf@:26:rtf
WP:WordPerfect 4.2:filter_wp_to_wordperfect42@:8:w42
WP:WordPerfect 5.0:filter_wp_to_wordperfect50@:30:w50
WP:WordPerfect 5.1:filter_wp_to_wordperfect51@:5:w51
WP:WordPerfect 6.0:filter_wp_to_wordperfect60@:31:w60
WP:MS Word 2.0 (Windows):filter_wp_to_winword20@:27:doc
WP:MS Word 6.0 (Windows):filter_wp_to_winword60@:34:doc

#	Graphics export formats:
GR:From Profile:DEFAULT:-1
GR:Applixware:NONE:201
GR:Applix Presents SlideShow:filter_gr_to_ap@:218:ap
GR:Applix Graphics 3.x:filter_gr_to_gr3@:201:ag
GR:Applix Bitmap:filter_gr_to_im@:206:im
GR:CGM:filter_gr_to_cgm@:60:cgm
GR:EPSI:filter_gr_to_eps@:53:eps
GR:FAX (Group3) msb:filter_gr_to_faxm@:52:fax
GR:FAX (Group3) lsb:filter_gr_to_faxi@:62:fax
GR:GIF87:filter_gr_to_gif87@:66:gif
GR:GIF89:filter_gr_to_gif89@:66:gif
GR:HPGL:filter_gr_to_hpgl@:54:hgl
GR:JPEG50:filter_gr_to_jpeg50@:84:jpg
GR:JPEG75:filter_gr_to_jpeg75@:84:jpg
GR:JPEG90:filter_gr_to_jpeg90@:84:jpg
GR:MS Windows Bitmap:filter_gr_to_mswinbm@:59:bmp
GR:PBM:filter_gr_to_pbm@:71:pbm
GR:PGM:filter_gr_to_pgm@:72:pgm
GR:PPM:filter_gr_to_ppm@:73:ppm
GR:SGI:filter_gr_to_iris@:80:rgb
GR:Sun raster:filter_gr_to_rs@:57:rs
GR:TIFF lsb:filter_gr_to_tiffi@:65:tif
GR:TIFF msb:filter_gr_to_tiffm@:64:tif
GR:WMF:filter_gr_to_wmf@:75:wmf
GR:XBitmap:filter_gr_to_xbm@:55:xbm
GR:XWD:filter_gr_to_xwd@:51:xwd

#	Spreadsheet export formats:
SS:From Profile:DEFAULT:-1
SS:Applixware:NONE:203
SS:XLS 5.0:filter_ss_to_xls5@:108:xl5
SS:XLS 4.0:filter_ss_to_xls4@:108:xl4
SS:XLS 3.0:filter_ss_to_xls3@:107:xl3
SS:WK3:filter_ss_to_wk3@:109:wk3
SS:WK1:filter_ss_to_wk1@:100:wk1
SS:Applix SS 3.x:filter_ss_to_ss311@:203:as
SS:ASCII grid:filter_ss_to_ascii@:103:txt
SS:ASCII into 1 column:filter_ss_to_ascii_col@:104:txt
SS:ASCII into 1 row:filter_ss_to_ascii_row@:105:txt
SS:CSV:filter_ss_to_csv@:106:csv
SS:DIF:filter_ss_to_dif@:102:dif
SS:SYLK:filter_ss_to_sylk@:101:slk

#	Applix Data export formats
DD:From Profile:DEFAULT:-1
DD:Applixware Query:NONE:211
DD:Applixware Query with current data:filter_dd_to_dd_with_data@:211:aq
DD:Applix Spreadsheet:filter_dd_to_ss@:203:as
DD:Applix Words:filter_dd_to_words@:200:aw
DD:ASCII grid:filter_dd_to_ascii@:103:txt
DD:ASCII into 1 column:filter_dd_to_ascii_col@:104:txt
DD:ASCII into 1 row:filter_dd_to_ascii_row@:105:txt
DD:CSV:filter_dd_to_csv@:106:csv
DD:DIF:filter_dd_to_dif@:102:dif
DD:XLS 3.0:filter_dd_to_xls@:107:xls
DD:XLS 4.0:filter_dd_to_xls4@:108:xl4
DD:XLS 5.0:filter_dd_to_xls5@:108:xl5
DD:RTF:filter_dd_to_rtf@:26:rtf
DD:WK1:filter_dd_to_wk1@:100:wk1
DD:WK3:filter_dd_to_wk3@:109:wk3
DD:SQL Query:filter_dd_to_sql@:0:sql
DD:SYLK:filter_dd_to_sylk@:101:slk

